<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:common="http://common.bitel.ru">
	<xsl:import href="layout.xsl" />
	
	
	<xsl:template match="/data">
			<xsl:choose>
				<xsl:when  test="/data/common:result/attributes/item[@key='bonus_act']/value/text() = 'payments'">
					<xsl:call-template name="BonusPayment" />
				</xsl:when>
				<xsl:when  test="/data/common:result/attributes/item[@key='bonus_act']/value/text() = 'charges'">
					<xsl:call-template name="BonusCharge" />
				</xsl:when>
				<xsl:when  test="/data/common:result/attributes/item[@key='bonus_act']/value/text() = 'balance'">
					<xsl:call-template name="BonusBalance" />
				</xsl:when>
				<xsl:when  test="/data/common:result/attributes/item[@key='bonus_act']/value/text() = 'payTariffOption'">
					<xsl:call-template name="BonusPayTariffOption" />
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="BonusBalance" />
				</xsl:otherwise>
			</xsl:choose>
    </xsl:template>
	
	<xsl:template name="title">
	 <xsl:choose>
		<xsl:when test="/data/common:result/attributes/item[@key='bonus_act']/value/text() = 'payments'">
			Бонусные приходы
		</xsl:when>
		<xsl:when test="/data/common:result/attributes/item[@key='bonus_act']/value/text() = 'charges'">
			Бонусные расходы
		</xsl:when>
		<xsl:when test="/data/common:result/attributes/item[@key='bonus_act']/value/text() = 'balance'">
			Баланс
		</xsl:when>
		<xsl:when test="/data/common:result/attributes/item[@key='bonus_act']/value/text() = 'payTariffOption'">
			Оплата бонусами
		</xsl:when>
	 </xsl:choose>
    </xsl:template>
	
	<xsl:template name="Buttons">
	<table cellspacing="0">
			<tr>
				<td>
					<xsl:call-template name="rawLinkButton">
						<xsl:with-param name="title" select="'Приходы'" />
						<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=Bonus&amp;module=ru.bitel.bgbilling.plugins.bonus&amp;mid=0&amp;command=payments&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					</xsl:call-template>
				</td>
				<td>
					<xsl:call-template name="rawLinkButton">
						<xsl:with-param name="title" select="'Расходы'" />
						<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=Bonus&amp;module=ru.bitel.bgbilling.plugins.bonus&amp;mid=0&amp;command=charges&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					</xsl:call-template>
				</td>
				<td>
					<xsl:call-template name="rawLinkButton">
						<xsl:with-param name="title" select="'Баланс'" />
						<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=Bonus&amp;module=ru.bitel.bgbilling.plugins.bonus&amp;mid=0&amp;command=balance&amp;contractId=<xsl:value-of select="$CONTRACT_ID"/></xsl:with-param>
					</xsl:call-template>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="BonusPayment">
	
		<br>Бонусный баланс: <b><xsl:value-of select="/data/common:result/attributes/item[@key='balance']/value/text()" /></b></br>
		<xsl:if test="/data/common:result/attributes/item[@key='futureBalance']/value/text()!=0">
			Ожидаемые балы: <b><xsl:value-of select="/data/common:result/attributes/item[@key='futureBalance']/value/text()" /></b>
		</xsl:if>
		
		<xsl:for-each select="/data/common:result/attributes/item[@key='dinProgramItems']/value/item">
		  <xsl:value-of select="." /><br/>
        </xsl:for-each>
		
		<xsl:call-template name="Buttons" />
		
		<table class="layout">
			<tr>
				<td>
					<table class="table800">
						<thead>
							<tr>
								<td>Номер</td>
								<td>Тип прихода</td>
								<td>Дата</td>
								<td>Сумма</td>
								<td>Период действия</td>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="/data/common:result/data/item">
								<tr>
									<td>
										<xsl:value-of select="@id" />
									</td>
									<td>
										<xsl:value-of select="@typeTitle" />
									</td>
									<td>
										<xsl:value-of select="@dateString" />
									</td>
									<td>
										<xsl:value-of select="@sum" />
									</td>
									<td>
										<xsl:value-of select="@datePeriod" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template name="BonusCharge">
	
		<br>Бонусный баланс: <b><xsl:value-of select="/data/common:result/attributes/item[@key='balance']/value/text()" /></b></br>
		<xsl:if test="/data/common:result/attributes/item[@key='futureBalance']/value/text()!=0">
			Ожидаемые балы: <b><xsl:value-of select="/data/common:result/attributes/item[@key='futureBalance']/value/text()" /></b>
		</xsl:if>
		
		<xsl:for-each select="/data/common:result/attributes/item[@key='dinProgramItems']/value/item">
          <xsl:value-of select="." /><br/>
        </xsl:for-each>
		
		<xsl:call-template name="Buttons" />

		<table class="layout">
			<tr>
				<td>
					<table class="table800">
						<thead>
							<tr>
								<td>Номер</td>
								<td>Тип расхода</td>
								<td>Дата</td>
								<td>Сумма</td>
							</tr>
						</thead>
						
						<!-- Тут сложены все типы расходов которые используются в нашем списке -->
						<xsl:variable name="chargeTypeList" select="/data/common:result/attributes/item[@key='chargeTypeList']/value"/>
						
						<tbody>
							<xsl:for-each select="/data/common:result/data/item">
							
							<xsl:variable name="typeId" select="@typeId"/>
								<tr>
									<td>
										<xsl:value-of select="@id" />
									</td>
									<td> <!-- По typeId вытащим название типа расхода из chargeTypeList -->
										<xsl:value-of select="$chargeTypeList/item[@id=$typeId]/@title" />
									</td>
									<td>
										<xsl:value-of select="@dateString" />
									</td>
									<td>
										<xsl:value-of select="@sum" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template name="BonusBalance">
	
		<br>Бонусный баланс: <b><xsl:value-of select="/data/common:result/attributes/item[@key='balance']/value/text()" /></b></br>
		<xsl:if test="/data/common:result/attributes/item[@key='futureBalance']/value/text()!=0">
			Ожидаемые балы: <b><xsl:value-of select="/data/common:result/attributes/item[@key='futureBalance']/value/text()" /></b>
		</xsl:if>
		
		<xsl:for-each select="/data/common:result/attributes/item[@key='dinProgramItems']/value/item">
          <xsl:value-of select="." /><br/>
        </xsl:for-each>
		
		<xsl:call-template name="Buttons" />

		<table class="layout">
			<tr>
				<td>
					<table class="table800">
						<thead>
							<tr>
								<td>Номер</td>
								<td>Тип операции</td>
								<td>Дата</td>
								<td>Сумма</td>
								<td>Кредит</td>
								<td>Дебет</td>
								<td>Остаток</td>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="/data/common:result/data/item">
								<tr>
									<td>
										<xsl:value-of select="@id" />
									</td>
									<td>
										<xsl:if test="@typeId=1">
			                                <xsl:value-of select="'Приход'" />
		                                </xsl:if>
		                                <xsl:if test="@typeId=2">
			                                <xsl:value-of select="'Расход'" />
		                                </xsl:if>
									</td>
									<td>
										<xsl:value-of select="@dateString" />
									</td>
									<td>
										<xsl:value-of select="@sum" />
									</td>
									<td>
										<xsl:if test="@typeId=1">
			                                <xsl:value-of select="sum" />
		                                </xsl:if>
		                                <xsl:if test="@typeId=2">
			                                <xsl:value-of select="'----'" />
		                                </xsl:if>
									</td>
									<td>
										<xsl:if test="@typeId=1">
			                                <xsl:value-of select="'----'" />
		                                </xsl:if>
		                                <xsl:if test="@typeId=2">
			                                <xsl:value-of select="sum" />
		                                </xsl:if>
									</td>
									<td>
										<xsl:value-of select="@rest" />
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template name="BonusPayTariffOption">
	
		<br>Бонусный баланс: <b><xsl:value-of select="/data/common:result/attributes/item[@key='balance']/value/text()" /></b></br>
		<table class="layout">
			<tr>
				<td>
					<table class="table800">
						<thead>
							<tr>
								<td>Опция</td>
								<td>Режим активации</td>
								<td>Сумма</td>
								<td>Макс. процент бонусами</td>
								<td>Описание</td>
							</tr>
						</thead>
						<tbody>
								<tr>
									<td>
										<xsl:value-of select="/data/common:result/attributes/item[@key='tariffOptionTitle']/value/text()" />
									</td>
									<td>
										<xsl:value-of select="/data/common:result/attributes/item[@key='titleMode']/value/text()" />
									</td>
									<td>
										<xsl:value-of select="/data/common:result/attributes/item[@key='sumMode']/value/text()" />
									</td>
									<td>
										<xsl:value-of select="/data/common:result/attributes/item[@key='maxPercent']/value/text()"/>%
									</td>
									<td>
										<xsl:value-of select="/data/common:result/attributes/item[@key='comment']/value/text()" />
									</td>
								</tr>
						</tbody>
					</table>
				</td>
			</tr>
		</table>
		<form method="post" >
	 	<xsl:attribute name="action"><xsl:value-of select="$WEBEXECUTER"/></xsl:attribute>
		<xsl:call-template name="action"/> 
		<input type="hidden" name="operation" value="Pay" />
			<table class="filter">
				<tr>
					<td><input type="radio" name="direct" value="0"></input></td>
					<td>Не оплачивать бонусами</td>
					<td><input type="radio" name="direct" value="1"></input></td>
					<td>Оплатить бонусными баллами( <xsl:value-of select="/data/common:result/attributes/item[@key='maxBonusSumMayBePay']/value/text()"/> руб. )</td>
					<td><input type="radio" name="direct" value="2" checked="1" ></input></td>
					<td>Отмена </td>
					<td> 
						<xsl:call-template name="submit">
							<xsl:with-param name="title" select="'Подтвердить'"/>
						</xsl:call-template>
					</td>
				</tr>
			</table>
		</form>
		
	</xsl:template>

</xsl:stylesheet>